if (!etcs) { var etcs = {}; }

etcs.headerText = "";

etcs.dataOptions = {
	baseline:   "", 			// 3M1 | 32
	version:    "10-11-20-21", 	// 10-11-20-21
	level:      "0-N-1-2-3", 	// 0-N-1-2-3
	transition: "0-N-1-2-3", 	// 0-N-1-2-3
	screen:     "" 				// S | T
};

etcs.dataIndex = [
{
	code: 'INT', name: 'Introduction (INT)', active: true, level2: [
		{
			code: 'INT.SCP', name: 'Scope and Purpose (SCP)', active: true
		},
		{
			code: 'INT.TER', name: 'Terms AND Abbreviations (TER)', active: true
		},
		{
			code: 'INT.COD', name: 'Codification and Symbols (COD)', active: true
		},
		{
			code: 'INT.REF', name: 'Reference documents (REF)', active: true
		}
	]
},
{
	code: 'CNT', name: 'ETCS control elements (CNT)', active: true, level2: [
		{
			code: 'CNT.SWT', name: 'Switches and controls related to ETCS (SWT)', active: true
		},
		{
			code: 'CNT.DMI', name: 'Driver Machine Interface (DMI)', active: true, level3: [
				{ code: 'CNT.DMI.GEN', name: 'General description (GEN)', active: true },
				{ code: 'CNT.DMI.BUT', name: 'Buttons (BUT)', active: true },
				{ code: 'CNT.DMI.SYM', name: 'Symbols (SYM)', active: true },
				{ code: 'CNT.DMI.AUD', name: 'Audible information (AUD)', active: true },
				{ code: 'CNT.DMI.SME', name: 'System messages (SME)', active: true },
				{ code: 'CNT.DMI.SPD', name: 'Speed and supervision information (SPD)', active: true },
				{ code: 'CNT.DMI.PLN', name: 'Planning information (PLN)', active: true },
				{ code: 'CNT.DMI.NTC', name: 'NTC information (NTC)', active: true, restriction: [{l:'N'}] },
				{ code: 'CNT.DMI.LNG', name: 'Language selection by driver (LNG)', active: true },
				{ code: 'CNT.DMI.VOL', name: 'Loudspeaker adjustment (VOL)', active: true },
				{ code: 'CNT.DMI.BRI', name: 'Luminance adjustment (BRI)', active: true },
				{ code: 'CNT.DMI.SYV', name: 'Operated System Version (SYV)', active: true },
				{ code: 'CNT.DMI.DV', name: 'Data view (DV)', active: true }
			]
		}
	]
},
{
	code: 'EI', name: 'European Instructions (EI)', active: true
},
{
	code: 'NP', name: 'No Power (NP)', active: true, level2: [
		{
			code: 'NP.ON', name: 'Power on the ETCS on-board (ON)', active: true
		}
	]
},
{
	code: 'SB', name: 'Stand By (SB)', active: true, level2: [
		{
			code: 'SB.OPN', name: 'Open the desk (OPN)', active: true
		},
		{
			code: 'SB.TST', name: 'Internal tests (TST)', active: true
		},
		{
			code: 'SB.DRV', name: 'Enter or re-validate driver identification (DRV)', active: true
		},
		{
			code: 'SB.TN', name: 'Enter or re-validate Train Running Number (TN)', active: true
		},
		{
			code: 'SB.VBC', name: 'Enter or re-validate Virtual Balise Cover (VBC)', active: true
		},
		{
			code: 'SB.LEV', name: 'Enter or re-validate ETCS Level (LEV)', active: true
		},
		{
			code: 'SB.RAD', name: 'Enter or re-validate Radio information (RAD)', active: true
		},
		{
			code: 'SB.TRN', name: 'Unit has to move as a train (TRN)', active: true, level3: [
				{ code: 'SB.TRN.DAT', name: 'Enter or re-validate train data (DAT)', active: true },
				{ code: 'SB.TRN.STR', name: 'Select start (STR)', active: true },
				{ code: 'SB.TRN.OVR', name: 'Select override (OVR)', active: true }
			]
		},
		{
			code: 'SB.SH', name: 'Unit has to move in SH (SH)', active: true
		},
		{
			code: 'SB.NL', name: 'Unit has to move in NL (NL)', active: true
		}
	]
},
{
	code: 'SH', name: 'Shunting (SH)', active: true, level2: [
		{
			code: 'SH.MAN', name: 'Manual entry into SH (MAN)', active: true, level3: [
				{ code: 'SH.MAN.RUL', name: 'Rules to select SH (RUL)', active: true, restriction: [{l:'123'}] },
				{ code: 'SH.MAN.SEL', name: 'SH selection (SEL)', active: true }
			]
		},
		{
			code: 'SH.AUT', name: 'Automatic entry into SH (AUT)', active: true, level3: [
				{ code: 'SH.AUT.APP', name: 'Approaching an SH area (APP)', active: true },
				{ code: 'SH.AUT.ACK', name: 'Acknowledge of SH mode (ACK)', active: true }
			]
		},
		{
			code: 'SH.OPN', name: 'Open a desk in SH (OPN)', active: true
		},
		{
			code: 'SH.PS', name: 'Maintain SH when changing the cab (PS)', active: true
		},
		{
			code: 'SH.RUN', name: 'Running in SH (RUN)', active: true
		},
		{
			code: 'SH.EXT', name: 'Exit form SH (EXT)', active: true
		}
	]
},
{
	code: 'FS', name: 'Full Supervision (FS)', active: true, restriction: [{l:'123'}], level2: [
		{
			code: 'FS.RUN', name: 'Running in FS (RUN)', active: true, restriction: [{l:'123'}]
		}
	]
},
{
	code: 'LS', name: 'Limited Supervision (LS)', active: true, restriction: [{v:'2021', l:'123'}], level2: [
		{
			code: 'LS.APP', name: 'Approaching an LS area (APP)', active: true
		},
		{
			code: 'LS.ACK', name: 'Acknowledge of LS mode (ACK)', active: true
		},
		{
			code: 'LS.RUN', name: 'Running in LS (RUN)', active: true
		}
	]
},
{
	code: 'SR', name: 'Staff responsible (SR)', active: true, restriction: [{l:'123'}], level2: [
		{
			code: 'SR.ACK', name: 'Acknowledge of SR (ACK)', active: true
		},
		{
			code: 'SR.LIM', name: 'Modify the SR speed and distance limits (LIM)', active: true
		},
		{
			code: 'SR.RUN', name: 'Running in SR (RUN)', active: true
		}
	]
},
{
	code: 'OS', name: 'On sight (OS)', active: true, restriction: [{l:'123'}], level2: [
		{
			code: 'OS.APP', name: 'Approaching an OS area (APP)', active: true
		},
		{
			code: 'OS.ACK', name: 'Acknowledge of OS mode (ACK)', active: true
		},
		{
			code: 'OS.RUN', name: 'Running in OS (RUN)', active: true
		}
	]
},
{
	code: 'SL', name: 'Sleeping (SL)', active: true
},
{
	code: 'NL', name: 'Non-Leading (NL)', active: true
},
{
	code: 'UN', name: 'Unfitted (UN)', active: true, restriction: [{l:'0'}]
},
{
	code: 'TR', name: 'Trip / Post Trip (TR)', active: true, level2: [
		{
			code: 'TR.MSR', name: 'Immediate measures (MSR)', active: true
		},
		{
			code: 'TR.CON', name: 'Continue a mission after a Train Trip (CON)', active: true
		}
	]
},
{
	code: 'SF', name: 'System Failure (SF)', active: true
},
{
	code: 'IS', name: 'Isolation (IS)', active: true, level2: [
		{
			code: 'IS.ENT', name: 'Entering Isolation mode (ENT)', active: true
		},
		{
			code: 'IS.EXT', name: 'Exiting Isolation mode (EXT)', active: true
		}
	]
},
{
	code: 'SN', name: 'National System (SN)', active: true, restriction: [{l:'N'}]
},
{
	code: 'RV', name: 'Reversing (RV)', active: true, restriction: [{l:'123'}], level2: [
		{
			code: 'RV.ENT', name: 'Entry in RV mode (ENT)', active: true
		},
		{
			code: 'RV.RUN', name: 'Running in RV (RUN)', active: true
		},
		{
			code: 'RV.EXT', name: 'Exit form RV (EXT)', active: true
		}
	]
},
{
	code: 'LTR', name: 'Entering and operating in a level (LTR)', active: true, level2: [
		{
			code: 'LTR.LEV', name: 'Levels (LEV)', active: true, level3: [
				{ code: 'LTR.LEV.L0', name: 'Running in Level 0 (L0)', active: true, restriction: [{l:'0'}] },
				{ code: 'LTR.LEV.NTC', name: 'Running in Level NTC (NTC)', active: true, restriction: [{l:'N'}] },
				{ code: 'LTR.LEV.L1', name: 'Running in Level 1 (L1)', active: true, restriction: [{l:'1'}] },
				{ code: 'LTR.LEV.L2', name: 'Running in Level 2 (L2)', active: true, restriction: [{l:'2'}] },
				{ code: 'LTR.LEV.L3', name: 'Running in Level 3 (L3)', active: true, restriction: [{l:'3'}] }
			]
		},
		{
			code: 'LTR.TRS', name: 'Level transitions (TRS)', active: true, level3: [
				{ code: 'LTR.TRS.TL0', name: 'Level transition to level 0 ordered by trackside (TL0)', active: true, restriction: [{t:'0'}] },
				{ code: 'LTR.TRS.NTC', name: 'Level transition to level NTC ordered by trackside (NTC)', active: true, restriction: [{t:'N'}]  },
				{ code: 'LTR.TRS.TL1', name: 'Level transition to level 1 ordered by trackside (TL1)', active: true, restriction: [{t:'1'}]  },
				{ code: 'LTR.TRS.TL2', name: 'Level transition to level 2 ordered by trackside (TL2)', active: true, restriction: [{t:'2'}]  },
				{ code: 'LTR.TRS.TL3', name: 'Level transition to level 3 ordered by trackside (TL3)', active: true, restriction: [{t:'3'}]  },
				{ code: 'LTR.TRS.DRV', name: 'Level transition initiated by driver (DRV)', active: true }
			]
		}
	]
},
{
	code: 'LX', name: 'Level Crossing (LX)', active: true, restriction: [{v:'2021', l:'123'}]
},
{
	code: 'TKC', name: 'Announced Track conditions (TKC)', active: true, restriction: [{l:'123'}], level2: [
		{
			code: 'TKC.PNT', name: 'Passing a section with lowered pantograph(s) (PNT)', active: true
		},
		{
			code: 'TKC.PWR', name: 'Changing the electric power supply (PWR)', active: true
		},
		{
			code: 'TKC.SWT', name: 'Passing a section with main power switch off (SWT)', active: true
		},
		{
			code: 'TKC.NST', name: 'Passing a non stopping area (NST)', active: true
		},
		{
			code: 'TKC.MAG', name: 'Passing a section with inhibition of magnetic shoe brake (MAG) ', active: true
		},
		{
			code: 'TKC.CUR', name: 'Passing a section with inhibition of eddy current brake (CUR) ', active: true
		},
		{
			code: 'TKC.REG', name: 'Passing a section with inhibition of regenerative brake (REG) ', active: true
		},
		{
			code: 'TKC.PRE', name: 'Passing a pressure seal section (PRE)', active: true
		},
		{
			code: 'TKC.SND', name: 'Sounding the audible warning device (SND)', active: true
		},
		{
			code: 'TKC.RAD', name: 'Passing a radio hole (RAD)', active: true, restriction: [{l:'23'}]
		},
		{
			code: 'TKC.STP', name: 'Stopping in a safe area (STP)', active: true
		}
	]
},
{
	code: 'APP', name: 'Approaching an EOA, signal or marker board (APP)', active: true, level2: [
		{
			code: 'APP.RS', name: 'Approaching an EOA with a Release speed indication (RS)', active: true, restriction: [{l:'123'}]
		},
		{
			code: 'APP.SM', name: 'ETCS Stop Marker (SM)', active: true
		},
		{
			code: 'APP.LM', name: 'ETCS Location Marker (LM)', active: true
		}
	]
},
{
	code: 'OVR', name: 'Authorising the passing of an EOA (OVR)', active: true, level2: [
		{
			code: 'OVR.RUL', name: 'Rules to pass an EOA (RUL)', active: true
		},
		{
			code: 'OVR.USE', name: 'Use override function (USE)', active: true
		}
	]
},
{
	code: 'OTH', name: 'Other procedures (OTH)', active: true, level2: [
		{
			code: 'OTH.TAF', name: 'Track Ahead Free (TAF)', active: true, restriction: [{l:'23'}]
		},
		{
			code: 'OTH.DAT', name: 'Changing Train Data (DAT)', active: true, level3: [
				{ code: 'OTH.DAT.MAN', name: ' Manual change of train data (MAN)', active: true },
				{ code: 'OTH.DAT.EXT', name: ' Change of train data by ETCS external sources (EXT)', active: true }
			]
		},
		{
			code: 'OTH.ODA', name: 'Changing other data (ODA)', active: true, level3: [
				{ code: 'OTH.ODA.DRV', name: 'Change of driver identification (DRV)', active: true },
				{ code: 'OTH.ODA.TN', name: 'Change of Train Running number (TN)', active: true },
				{ code: 'OTH.ODA.RAD', name: 'Change of Radio information (RAD)', active: true }
			]
		},
		{
			code: 'OTH.ADH', name: 'Changing of adhesion factor (ADH)', active: true
		},
		{
			code: 'OTH.ORN', name: 'Change of Train Orientation (ORN)', active: true
		},
		{
			code: 'OTH.JOI', name: 'Joining (JOI)', active: true
		},
		{
			code: 'OTH.SPL', name: 'Splitting (SPL)', active: true
		},
		{
			code: 'OTH.TXT', name: 'Text message from trackside (TXT)', active: true
		},
		{
			code: 'OTH.BRK', name: 'Brake command handling (BRK)', active: true, level3: [
				{ code: 'OTH.BRK.UNI', name: 'Reacting to unintentional movements (UNI)', active: true, restriction: [{l:'123'}] }
			]
		},
		{
			code: 'OTH.INT', name: 'Driver confirmation of train integrity (INT)', active: true
		},
		{
			code: 'OTH.GEO', name: 'Geographical position reporting (GEO)', active: true
		}
	]
},
{
	code: 'NFN', name: 'National Functions (NFN)', active: true
},
{
	code: 'DEG', name: 'Degraded situations (DEG)', active: true, level2: [
		{
			code: 'DEG.UNS', name: 'Managing route unsuitability (UNS)', active: true, restriction: [{l:'123'}]
		},
		{
			code: 'DEG.TRK', name: 'Managing a trackside malfunction (TRK)', active: true, restriction: [{l:'123'}]
		},
		{
			code: 'DEG.VER', name: 'Managing incompatibility system version (VER)', active: true, restriction: [{l:'123'}]
		},
		{
			code: 'DEG.BLS', name: 'Managing a balise read error (BLS)', active: true, restriction: [{l:'123'}]
		},
		{
			code: 'DEG.BMM', name: 'Managing a balise transmission malfunction (BMM)', active: true
		},
		{
			code: 'DEG.SMA', name: 'Managing MA shortening (SMA)', active: true
		},
		{
			code: 'DEG.TR', name: 'Transition to Trip mode (TR)', active: true
		},
		{
			code: 'DEG.LTR', name: 'Managing a failed level transition (LRT)', active: true, restriction: [{l:'123'}]
		},
		{
			code: 'DEG.MDT', name: 'Managing an absence of mode transition (MDT)', active: true
		},
		{
			code: 'DEG.RBC', name: 'Managing absence of RBC information (RBC)', active: true, restriction: [{l:'23'}]
		},
		{
			code: 'DEG.COM', name: 'Managing a radio communication failure (COM)', active: true
		},
		{
			code: 'DEG.TST', name: 'Managing a failure of self test (TST)', active: true
		},
		{
			code: 'DEG.RAD', name: 'Managing a failure affecting the on-board radio equipment (RAD)', active: true
		},
		{
			code: 'DEG.DMI', name: 'Managing a DMI with blank screen (DMI)', active: true
		},
		{
			code: 'DEG.NTC', name: 'Managing a NTC failure (NTC)', active: true
		}
	]
},
{
	code: 'OFF', name: 'Shutdown of the system (OFF)', active: true, level2: [
		{
			code: 'OFF.CLS', name: 'Close the desk (CLS)', active: true
		},
		{
			code: 'OFF.PWR', name: 'Power off the ETCS on-board (PWR)', active: true
		}
	]
},
{
	code: 'CBS', name: 'Class B system (CBS)', active: true, level2: [
		{
			code: 'CBS.CNT', name: 'Control elements (CNT)', active: true
		},
		{
			code: 'CBS.ON', name: 'Power ON (ON)', active: true
		},
		{
			code: 'CBS.SH', name: 'Shunting movements (SH)', active: true
		},
		{
			code: 'CBS.OVR', name: 'Passing a restrictive signal (OVR)', active: true
		},
		{
			code: 'CBS.OS', name: 'On-sight movements (OS)', active: true
		},
		{
			code: 'CBS.BRK', name: 'Brakes intervention (BRK)', active: true
		},
		{
			code: 'CBS.RV', name: 'Reversing movements (RV)', active: true
		},
		{
			code: 'CBS.OTH', name: 'Other procedures (OTH)', active: true
		},
		{
			code: 'CBS.DEG', name: 'Degraded situations (DEG)', active: true
		},
		{
			code: 'CBS.OFF', name: 'Shutdown (OFF)', active: true
		}
	]
}
];